import { Settings as LayoutSettings } from '@ant-design/pro-components';

const Settings: LayoutSettings & {
  pwa?: boolean;
  logo?: string;
} = {
  navTheme: 'light',
  // 拂晓蓝
  primaryColor: '#1890ff',
  layout: 'mix',
  contentWidth: 'Fluid',
  fixedHeader: false,
  fixSiderbar: true,
  colorWeak: false,
  title: '永续绿建管理平台',
  pwa: false,
  logo: '/assets/logo.png',
  iconfontUrl: '',
  menu: {
    locale: false, // 关闭菜单国际化
  },
};

export default Settings;
