﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      // 登录页面
      {
        name: 'login',
        path: '/user/login',
        component: './user/Login',
      },
      {
        component: './404',
      },
    ],
  },
  // 首页
  {
    path: '/welcome',
    name: '首页',
    icon: 'smile',
    component: './Welcome',
  },
  // 内容发布
  {
    name: '内容发布',
    icon: 'crown',
    path: '/cms',
    routes: [
      // 栏目管理
      {
        path: '/cms/columnList',
        name: '栏目管理',
        icon: 'file',
        component: './cms/ColumnList',
      },
      // 文章管理
      {
        path: '/cms/articleManagement',
        name: '文章管理',
        icon: 'file',
        component: './cms/ArticleManagement',
      },
    ],
  },
  // 版本管理
  {
    path: '/editionManagement',
    name: '版本管理',
    icon: 'Appstore',
    component: './EditionManagement',
  },
  // 用户管理
  {
    path: '/UserManagement',
    name: '用户管理',
    icon: 'team',
    component: './setting/UserManagement',
  },
  // 家列表管理
  {
    path: '/homeList',
    name: '家列表管理',
    icon: 'file',
    component: './home',
  },
  // 菜单管理
  {
    path: '/MenuManagement',
    name: '菜单管理',
    icon: 'Appstore',
    component: './MenuManagement',
  },
  // 角色管理
  {
    path: '/RoleManagement',
    name: '角色管理',
    icon: 'Appstore',
    component: './RoleManagement',
  },
  // 报备管理
  {
    path: '/ReportingManagement',
    name: '报备管理',
    icon: 'Appstore',
    component: './ReportingManagement',
  },
  {
    path: '/ParameterConfiguration',
    name: '参数配置',
    icon: 'Appstore',
    component: './ParameterConfiguration',
  },
  // {
  //   path: '/LogManagement',
  //   name: '日志管理',
  //   icon: 'Appstore',
  //   component: './LogManagement',
  // },
  {
    path: '/ProductionDataManagement',
    name: '产测数据管理',
    icon: 'Appstore',
    component: './ProductionDataManagement',
  },
  {
    path: '/DataBoard',
    name: '可视化视窗',
    icon: 'file',
    layout: false,
    component: './DataBoard',
  },
  // 房间列表
  {
    path: '/roomList',
    component: './Home/Room',
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
